## org.eclipse.emf.compare.diff.metamodel
Interface ReferenceOrderChange

All Superinterfaces:
  DiffElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ReferenceChange

All Known Implementing Classes:
  ReferenceOrderChangeImpl

    public interface ReferenceOrderChange

extends ReferenceChange

A representation of the model object 'Reference Order Change'.

The following features are supported:

- `Left Target`
- `Right Target`

See Also:
  `DiffPackage.getReferenceOrderChange()`

Method Summary
`org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject>` `getLeftTarget()` Returns the value of the 'Left Target' reference list.
`org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject>` `getRightTarget()` Returns the value of the 'Right Target' reference list.

Methods inherited from interface org.eclipse.emf.compare.diff.metamodel.ReferenceChange
`getLeftElement, getReference, getRightElement, setLeftElement, setReference, setRightElement`

Methods inherited from interface org.eclipse.emf.compare.diff.metamodel.DiffElement
`getIsHiddenBy, getKind, getSubDiffElements, isConflicting, isRemote, setRemote`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLeftTarget

    org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject> getLeftTarget()

  Returns the value of the 'Left Target' reference list. The list contents are of type `EObject`.

  If the meaning of the 'Left Target' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Left Target' reference list.
  See Also:
    `DiffPackage.getReferenceOrderChange_LeftTarget()`

### getRightTarget

    org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject> getRightTarget()

  Returns the value of the 'Right Target' reference list. The list contents are of type `EObject`.

  If the meaning of the 'Right Target' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Right Target' reference list.
  See Also:
    `DiffPackage.getReferenceOrderChange_RightTarget()`

Copyright 2006 IBM Corporation and others. All Rights Reserved.